Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'extraplugins/robotml')
-rw-r--r--extraplugins/robotml/generators/org.eclipse.papyrus.robotml.generators.common/META-INF/MANIFEST.MF24
-rw-r--r--extraplugins/robotml/generators/rtmaps/org.eclipse.papyrus.robotml.generators.intempora.rtmaps.ui/META-INF/MANIFEST.MF30
-rw-r--r--extraplugins/robotml/generators/rtmaps/org.eclipse.papyrus.robotml.generators.intempora.rtmaps/META-INF/MANIFEST.MF20
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/META-INF/MANIFEST.MF8
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.architecture/META-INF/MANIFEST.MF42
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/META-INF/MANIFEST.MF30
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.componentdef/META-INF/MANIFEST.MF36
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.datatypedef/META-INF/MANIFEST.MF36
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.interfacedef/META-INF/MANIFEST.MF32
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.ui/META-INF/MANIFEST.MF12
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.doc/META-INF/MANIFEST.MF4
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.modelexplorer/META-INF/MANIFEST.MF6
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.perspective/META-INF/MANIFEST.MF6
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.templaterepository/META-INF/MANIFEST.MF6
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml.validation/META-INF/MANIFEST.MF12
-rw-r--r--extraplugins/robotml/org.eclipse.papyrus.robotml/META-INF/MANIFEST.MF14
16 files changed, 159 insertions, 159 deletions
diff --git a/extraplugins/robotml/generators/org.eclipse.papyrus.robotml.generators.common/META-INF/MANIFEST.MF b/extraplugins/robotml/generators/org.eclipse.papyrus.robotml.generators.common/META-INF/MANIFEST.MF
index 95684d96dad..0c54f203b41 100644
--- a/extraplugins/robotml/generators/org.eclipse.papyrus.robotml.generators.common/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/generators/org.eclipse.papyrus.robotml.generators.common/META-INF/MANIFEST.MF
@@ -1,12 +1,4 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.robotml.generators.common,
- org.eclipse.papyrus.robotml.generators.common.mmqueries;
- uses:="org.eclipse.emf.ecore.resource,
- org.eclipse.emf.ecore,
- org.eclipse.emf.common.util,
- org.eclipse.acceleo.engine.generation.strategy,
- org.eclipse.uml2.uml,
- org.eclipse.acceleo.engine.service"
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore,
org.eclipse.emf.ecore.xmi,
@@ -18,16 +10,24 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.acceleo.profiler;bundle-version="3.1.0",
org.eclipse.acceleo.engine;bundle-version="3.1.0",
org.eclipse.uml2.uml;bundle-version="3.1.2",
- org.eclipse.papyrus.robotml;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.1"
+ org.eclipse.papyrus.robotml;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.2"
+Export-Package: org.eclipse.papyrus.robotml.generators.common,
+ org.eclipse.papyrus.robotml.generators.common.mmqueries;
+ uses:="org.eclipse.emf.ecore.resource,
+ org.eclipse.emf.ecore,
+ org.eclipse.emf.common.util,
+ org.eclipse.acceleo.engine.generation.strategy,
+ org.eclipse.uml2.uml,
+ org.eclipse.acceleo.engine.service"
Bundle-Vendor: Eclipse Modeling Project
-Eclipse-LazyStart: true
Bundle-ActivationPolicy: lazy
+Eclipse-LazyStart: true
Bundle-Version: 0.10.2.qualifier
Bundle-Name: RobotML generators common queries (Incubation)
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.robotml.generators.common.Activa
tor
-Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.robotml.generators.common
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/generators/rtmaps/org.eclipse.papyrus.robotml.generators.intempora.rtmaps.ui/META-INF/MANIFEST.MF b/extraplugins/robotml/generators/rtmaps/org.eclipse.papyrus.robotml.generators.intempora.rtmaps.ui/META-INF/MANIFEST.MF
index b4d88e26b4a..ab6c97d05ab 100644
--- a/extraplugins/robotml/generators/rtmaps/org.eclipse.papyrus.robotml.generators.intempora.rtmaps.ui/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/generators/rtmaps/org.eclipse.papyrus.robotml.generators.intempora.rtmaps.ui/META-INF/MANIFEST.MF
@@ -10,27 +10,27 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.acceleo.engine,
org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
org.eclipse.gmf.runtime.common.ui;bundle-version="1.5.0",
- org.eclipse.papyrus.editor;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.widgets;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.modelexplorer;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core;bundle-version="0.10.1",
- org.eclipse.papyrus.robotml.generators.intempora.rtmaps;bundle-version="0.10.1",
- org.eclipse.papyrus.robotml.generators.common;bundle-version="0.10.1",
- org.eclipse.papyrus.views.modelexplorer;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.emf;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.1",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.10.1"
+ org.eclipse.papyrus.editor;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.modelexplorer;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core;bundle-version="0.10.2",
+ org.eclipse.papyrus.robotml.generators.intempora.rtmaps;bundle-version="0.10.2",
+ org.eclipse.papyrus.robotml.generators.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.views.modelexplorer;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.emf;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.2",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.10.2"
Bundle-Vendor: Eclipse Modeling Project
-Eclipse-LazyStart: true
Bundle-ActivationPolicy: lazy
+Eclipse-LazyStart: true
Bundle-Version: 0.10.2.qualifier
Bundle-Name: RobotML RTMaps Generator Module IDE Plug-in (Incubation)
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.robotml.generators.intempora.rtm
aps.ui.Activator
-Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.robotml.generators.intempora.
rtmaps.ui;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/generators/rtmaps/org.eclipse.papyrus.robotml.generators.intempora.rtmaps/META-INF/MANIFEST.MF b/extraplugins/robotml/generators/rtmaps/org.eclipse.papyrus.robotml.generators.intempora.rtmaps/META-INF/MANIFEST.MF
index ca185bead8a..47ad3c2feb2 100644
--- a/extraplugins/robotml/generators/rtmaps/org.eclipse.papyrus.robotml.generators.intempora.rtmaps/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/generators/rtmaps/org.eclipse.papyrus.robotml.generators.intempora.rtmaps/META-INF/MANIFEST.MF
@@ -1,10 +1,4 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.robotml.generators.intempora.rtmaps;
- uses:="org.eclipse.emf.ecore.resource,
- org.eclipse.emf.ecore,
- org.eclipse.emf.common.util,
- org.eclipse.acceleo.engine.generation.strategy,
- org.eclipse.acceleo.engine.service"
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.emf.ecore;bundle-version="2.7.0",
org.eclipse.emf.ecore.xmi;bundle-version="2.7.0",
@@ -17,16 +11,22 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.acceleo.engine;bundle-version="3.1.0",
org.eclipse.uml2.uml;bundle-version="3.2.100",
org.eclipse.core.resources;bundle-version="3.7.100",
- org.eclipse.papyrus.robotml.generators.common;bundle-version="0.10.1",
- org.eclipse.papyrus.robotml;bundle-version="0.10.1"
+ org.eclipse.papyrus.robotml.generators.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.robotml;bundle-version="0.10.2"
+Export-Package: org.eclipse.papyrus.robotml.generators.intempora.rtmaps;
+ uses:="org.eclipse.emf.ecore.resource,
+ org.eclipse.emf.ecore,
+ org.eclipse.emf.common.util,
+ org.eclipse.acceleo.engine.generation.strategy,
+ org.eclipse.acceleo.engine.service"
Bundle-Vendor: Eclipse Modeling Project
-Eclipse-LazyStart: true
Bundle-ActivationPolicy: lazy
+Eclipse-LazyStart: true
Bundle-Version: 0.10.2.qualifier
Bundle-Name: RTMaps generator for RobotML (Incubation)
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.robotml.generators.intempora.rtm
aps.Activator
-Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.robotml.generators.intempora.
rtmaps;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/META-INF/MANIFEST.MF
index ee7040b1075..3a4d929ab78 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.deployment/META-INF/MANIFEST.MF
@@ -5,19 +5,19 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore,
org.eclipse.gmf.runtime.common.core,
org.eclipse.uml2.uml,
- org.eclipse.papyrus.robotml;bundle-version="0.10.0",
+ org.eclipse.papyrus.robotml;bundle-version="0.10.2",
org.eclipse.gef,
org.eclipse.gmf.runtime.notation.edit,
org.eclipse.emf.transaction,
org.eclipse.gmf.runtime.emf.commands.core,
- org.eclipse.papyrus.infra.core;bundle-version="0.10.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.10.2"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.robotml.deployment.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.robotml.deployment.Activator
Bundle-SymbolicName: org.eclipse.papyrus.robotml.deployment;singleton:
=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.architecture/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.architecture/META-INF/MANIFEST.MF
index cda7ee4c6ea..88969735a64 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.architecture/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.architecture/META-INF/MANIFEST.MF
@@ -1,43 +1,43 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.4.1",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.2",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.6.0",
- org.eclipse.papyrus.uml.diagram.composite;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.appearance;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.composite;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.appearance;bundle-version="0.10.2",
org.eclipse.uml2.uml,
org.eclipse.core.runtime,
- org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.2",
org.eclipse.emf.common.ui;bundle-version="2.5.0",
org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.diagram.composite;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.composite;bundle-version="0.10.2",
org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.10.2",
org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.1",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
- org.eclipse.papyrus.uml.tools;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.services.edit;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.tools;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.10.2",
org.eclipse.ui.ide;bundle-version="3.8.0",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.emf;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.emf;bundle-version="0.10.2",
org.eclipse.uml2.uml;bundle-version="4.0.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.widgets;bundle-version="0.10.1",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.10.2",
org.eclipse.gmf.tooling.runtime;bundle-version="3.1.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.1",
- org.eclipse.papyrus.robotml.diagram.common;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.gmfdiag.hyperlink;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.gmfdiag.navigation;bundle-version="0.10.1"
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.robotml.diagram.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.gmfdiag.hyperlink;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.gmfdiag.navigation;bundle-version="0.10.2"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.robotml.diagram.architecture.Act
ivator
-Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.robotml.diagram.architecture;
singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/META-INF/MANIFEST.MF
index 3d834c2e11a..d3a69dbef74 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.common/META-INF/MANIFEST.MF
@@ -1,31 +1,31 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.robotml.diagram.common.commands,
- org.eclipse.papyrus.robotml.diagram.common.editpolicies
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core;bundle-version="0.10.1",
+ org.eclipse.papyrus.infra.core;bundle-version="0.10.2",
org.eclipse.uml2.uml;bundle-version="4.1.0",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.2",
org.eclipse.core.expressions,
- org.eclipse.papyrus.robotml;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.properties;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.1",
+ org.eclipse.papyrus.robotml;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.properties;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.2",
org.eclipse.gmf.runtime.gef.ui;bundle-version="1.4.1",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.1",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.2",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.7.0",
- org.eclipse.papyrus.uml.diagram.composite;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.emf;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.tools;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.diagram.communication;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.composite;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.emf;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.tools;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.diagram.communication;bundle-version="0.10.2",
org.eclipse.emf.facet.infra.browser.uicore,
org.eclipse.ui.ide;bundle-version="3.9.0"
+Export-Package: org.eclipse.papyrus.robotml.diagram.common.commands,
+ org.eclipse.papyrus.robotml.diagram.common.editpolicies
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.robotml.diagram.common.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.robotml.diagram.common.Activator
Bundle-SymbolicName: org.eclipse.papyrus.robotml.diagram.common;single
ton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.componentdef/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.componentdef/META-INF/MANIFEST.MF
index 1ca9e349fa5..22e735e11db 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.componentdef/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.componentdef/META-INF/MANIFEST.MF
@@ -1,38 +1,38 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.2",
org.eclipse.emf.common.ui;bundle-version="2.5.0",
org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.diagram.composite;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.composite;bundle-version="0.10.2",
org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
- org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.10.1",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.10.2",
org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.1",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
- org.eclipse.papyrus.uml.tools;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.services.edit;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.tools;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.10.2",
org.eclipse.ui.ide;bundle-version="3.8.0",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.emf;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.emf;bundle-version="0.10.2",
org.eclipse.uml2.uml;bundle-version="4.0.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.1",
- org.eclipse.papyrus.robotml.diagram.common;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.widgets;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.gmfdiag.navigation;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.gmfdiag.hyperlink;bundle-version="0.10.1",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.2",
+ org.eclipse.papyrus.robotml.diagram.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.gmfdiag.navigation;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.gmfdiag.hyperlink;bundle-version="0.10.2",
org.eclipse.gmf.tooling.runtime;bundle-version="3.1.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.robotml.diagram.componentdef.Act
ivator
-Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.robotml.diagram.componentdef;
singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.datatypedef/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.datatypedef/META-INF/MANIFEST.MF
index dad56142e6d..803d319174a 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.datatypedef/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.datatypedef/META-INF/MANIFEST.MF
@@ -1,37 +1,37 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.robotml.diagram.datatypedef.provid
- er
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.2",
org.eclipse.emf.common.ui;bundle-version="2.5.0",
org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.diagram.clazz;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.clazz;bundle-version="0.10.2",
org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
- org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.10.1",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.10.2",
org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.1",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
- org.eclipse.papyrus.uml.tools;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.services.edit;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.tools;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.10.2",
org.eclipse.ui.ide;bundle-version="3.8.0",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.emf;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.emf;bundle-version="0.10.2",
org.eclipse.uml2.uml;bundle-version="4.0.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.1",
- org.eclipse.papyrus.robotml.diagram.common;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.widgets;bundle-version="0.10.1",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.2",
+ org.eclipse.papyrus.robotml.diagram.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.10.2",
org.eclipse.gmf.tooling.runtime;bundle-version="3.0.0"
+Export-Package: org.eclipse.papyrus.robotml.diagram.datatypedef.provid
+ er
Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.robotml.diagram.datatypedef.Acti
vator
-Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.robotml.diagram.datatypedef;s
ingleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.interfacedef/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.interfacedef/META-INF/MANIFEST.MF
index 1391c03bfc5..e3b9b80e31b 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.interfacedef/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.interfacedef/META-INF/MANIFEST.MF
@@ -1,35 +1,35 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.4.1",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="0.10.2",
org.eclipse.emf.common.ui;bundle-version="2.5.0",
org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.diagram.clazz;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.clazz;bundle-version="0.10.2",
org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
- org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.service.types;bundle-version="0.10.1",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.service.types;bundle-version="0.10.2",
org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.1",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
- org.eclipse.papyrus.uml.tools;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.services.edit;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.tools;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.10.2",
org.eclipse.ui.ide;bundle-version="3.8.0",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.emf;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.emf;bundle-version="0.10.2",
org.eclipse.uml2.uml;bundle-version="4.0.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.1",
- org.eclipse.papyrus.robotml.diagram.common;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.widgets;bundle-version="0.10.1",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.10.2",
+ org.eclipse.papyrus.robotml.diagram.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.10.2",
org.eclipse.gmf.tooling.runtime;bundle-version="3.0.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.robotml.diagram.interfacedef.Act
ivator
-Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.robotml.diagram.interfacedef;
singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.ui/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.ui/META-INF/MANIFEST.MF
index 5852319acf4..c2b2d9f4aa6 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.ui/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.diagram.ui/META-INF/MANIFEST.MF
@@ -1,21 +1,21 @@
Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.robotml.diagram.ui
Require-Bundle: org.eclipse.ui,
org.eclipse.ui.ide,
org.eclipse.core.runtime,
- org.eclipse.papyrus.robotml.diagram.common;bundle-version="0.10.1",
- org.eclipse.papyrus.uml.diagram.wizards;bundle-version="0.10.1",
- org.eclipse.papyrus.infra.core;bundle-version="0.10.1",
+ org.eclipse.papyrus.robotml.diagram.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.uml.diagram.wizards;bundle-version="0.10.2",
+ org.eclipse.papyrus.infra.core;bundle-version="0.10.2",
org.eclipse.core.resources;bundle-version="3.8.0",
org.eclipse.ui.workbench;bundle-version="3.105.0",
org.eclipse.jface;bundle-version="3.9.0"
+Export-Package: org.eclipse.papyrus.robotml.diagram.ui
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.robotml.diagram.ui.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.robotml.diagram.ui.Activator
Bundle-SymbolicName: org.eclipse.papyrus.robotml.diagram.ui;singleton:
=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.doc/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.doc/META-INF/MANIFEST.MF
index 6e248041f2c..4f8824730a9 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.doc/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.doc/META-INF/MANIFEST.MF
@@ -4,10 +4,10 @@ Require-Bundle: org.eclipse.ui,
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.robotml.doc.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.robotml.doc.Activator
Bundle-SymbolicName: org.eclipse.papyrus.robotml.doc;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.modelexplorer/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.modelexplorer/META-INF/MANIFEST.MF
index 41b0acd18cc..ca6a0bc8e9f 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.modelexplorer/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.modelexplorer/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.uml2.uml;bundle-version="3.2.0",
org.eclipse.emf.facet.infra.query.core,
- org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.1"
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="0.10.2"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .,
bin
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.robotml.modelexplorer.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.robotml.modelexplorer.Activator
Bundle-SymbolicName: org.eclipse.papyrus.robotml.modelexplorer;singlet
on:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.perspective/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.perspective/META-INF/MANIFEST.MF
index e02fa07eb6b..166683e1325 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.perspective/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.perspective/META-INF/MANIFEST.MF
@@ -1,15 +1,15 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.uml.perspective;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.perspective;bundle-version="0.10.2",
org.eclipse.ui.cheatsheets
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.robotml.perspective.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.robotml.perspective.Activator
Bundle-SymbolicName: org.eclipse.papyrus.robotml.perspective;singleton
:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.templaterepository/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.templaterepository/META-INF/MANIFEST.MF
index 99f40a799fa..b66dbb30e44 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.templaterepository/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.templaterepository/META-INF/MANIFEST.MF
@@ -1,15 +1,15 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.uml.diagram.wizards;bundle-version="0.10.1"
+ org.eclipse.papyrus.uml.diagram.wizards;bundle-version="0.10.2"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.robotml.templaterepository.Activ
ator
-Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.robotml.templaterepository;si
ngleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml.validation/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml.validation/META-INF/MANIFEST.MF
index 3e364dd07a4..e442ed06f0b 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml.validation/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml.validation/META-INF/MANIFEST.MF
@@ -1,18 +1,18 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.1",
- org.eclipse.papyrus.robotml;bundle-version="0.10.1",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.2",
+ org.eclipse.papyrus.robotml;bundle-version="0.10.2",
org.eclipse.uml2.uml,
- org.eclipse.papyrus.uml.tools,
+ org.eclipse.papyrus.uml.tools;bundle-version="0.10.2",
org.eclipse.emf.ecore,
- org.eclipse.papyrus.infra.core;bundle-version="0.10.1"
+ org.eclipse.papyrus.infra.core;bundle-version="0.10.2"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.robotml.validation.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.robotml.validation.Activator
Bundle-SymbolicName: org.eclipse.papyrus.robotml.validation;singleton:
=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/extraplugins/robotml/org.eclipse.papyrus.robotml/META-INF/MANIFEST.MF b/extraplugins/robotml/org.eclipse.papyrus.robotml/META-INF/MANIFEST.MF
index 746952bef4c..77db9668a8b 100644
--- a/extraplugins/robotml/org.eclipse.papyrus.robotml/META-INF/MANIFEST.MF
+++ b/extraplugins/robotml/org.eclipse.papyrus.robotml/META-INF/MANIFEST.MF
@@ -1,4 +1,10 @@
Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.2",
+ org.eclipse.core.runtime,
+ org.eclipse.emf.ecore,
+ org.eclipse.emf.ecore.xmi;visibility:=reexport,
+ org.eclipse.uml2.types;visibility:=reexport,
+ org.eclipse.uml2.uml
Export-Package: org.eclipse.papyrus.RobotML,
org.eclipse.papyrus.RobotML.impl,
org.eclipse.papyrus.RobotML.util,
@@ -26,18 +32,12 @@ Export-Package: org.eclipse.papyrus.RobotML,
org.eclipse.papyrus.RobotMLLibraries.RobotML_ModelLibrary.RobotML_DataTypes.std_datatypes,
org.eclipse.papyrus.RobotMLLibraries.RobotML_ModelLibrary.RobotML_DataTypes.std_datatypes.impl,
org.eclipse.papyrus.RobotMLLibraries.RobotML_ModelLibrary.RobotML_DataTypes.std_datatypes.util
-Require-Bundle: org.eclipse.papyrus.uml.diagram.common;bundle-version="0.10.1",
- org.eclipse.core.runtime,
- org.eclipse.emf.ecore,
- org.eclipse.emf.ecore.xmi;visibility:=reexport,
- org.eclipse.uml2.types;visibility:=reexport,
- org.eclipse.uml2.uml
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
Bundle-Version: 0.10.2.qualifier
-Bundle-Localization: plugin
Bundle-Name: %Bundle-Name
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.robotml;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5

Back to the top